package solutions.bitbadger.documents.support

import solutions.bitbadger.documents.Configuration

/**
 * These functions use a dummy connection string to force the given dialect for a given test
 */
object ForceDialect {

    @JvmStatic
    fun postgres() {
        Configuration.connectionString = ":postgresql:"
    }

    @JvmStatic
    fun sqlite() {
        Configuration.connectionString = ":sqlite:"
    }

    @JvmStatic
    fun none() {
        Configuration.connectionString = null
    }
}