package solutions.bitbadger.documents.groovy

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import solutions.bitbadger.documents.DocumentIndex

import static groovy.test.GroovyAssert.*

/**
 * Unit tests for the `DocumentIndex` enum
 */
@DisplayName('JVM | Groovy | DocumentIndex')
class DocumentIndexTest {

    @Test
    @DisplayName('FULL uses proper SQL')
    void fullSQL() {
        assertEquals('The SQL for Full is incorrect', '', DocumentIndex.FULL.sql)
    }

    @Test
    @DisplayName('OPTIMIZED uses proper SQL')
    void optimizedSQL() {
        assertEquals('The SQL for Optimized is incorrect', ' jsonb_path_ops', DocumentIndex.OPTIMIZED.sql)
    }
}
